Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.admin.jspbeans
Class UserPersonalizationJspBean

    java.lang.Object
      |
      +--com.beasys.portal.admin.jspbeans.JspBeanBase
            |
            +--com.beasys.portal.admin.jspbeans.PortalJspBean
                  |
                  +--com.beasys.portal.admin.jspbeans.PortletJspBean
                        |
                        +--com.beasys.portal.admin.jspbeans.PortalPersonalizationJspBean
                              |
                              +--com.beasys.portal.admin.jspbeans.GroupPersonalizationJspBean
                                    |
                                    +--com.beasys.portal.admin.jspbeans.UserPersonalizationJspBean

public class UserPersonalizationJspBean
extends GroupPersonalizationJspBean
implements Portlet

The <jsp:usebean> used by the Portal End User Tool _user_add_portlets.jsp.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `userName` An HTTP request mapping attribute.

Fields inherited from class com.beasys.portal.admin.jspbeans.GroupPersonalizationJspBean
`groupName, isAvailable`

Fields inherited from class com.beasys.portal.admin.jspbeans.PortalPersonalizationJspBean
`debug, IS_AVAILABLE, IS_UNAVAILABLE, IS_VISIBLE, isAvailable`

Fields inherited from class com.beasys.portal.admin.jspbeans.PortletJspBean
`alternateFooterURL, alternateHeaderURL, bannerURL, categoryName, column, editURL, floatable, hasHelp, helpURL, iconURL, isEditable, isMandatory, isMinimized, loginRequired, maximizeable, maximizedURL, minimizeable, moveable, row, visible`

Fields inherited from class com.beasys.portal.admin.jspbeans.PortalJspBean
`contentColumnCount, contentColumnCountStr, contentURL, editURL, footerURL, headerURL, isEditable, name, suspended, suspendedURL`

Fields inherited from class com.beasys.portal.admin.jspbeans.JspBeanBase
`DEFAULT_CATEGORY`

Constructor Summary
`UserPersonalizationJspBean()`

Method Summary
`java.lang.String` | `getUserName()` Gets the user name attribute for this bean.
`protected void` | `sequencePortletsForUser(java.lang.String aPortalName, java.lang.String aGroupName, java.lang.String aUserName, com.sun.java.util.collections.Vector aPortletVec)` Re-sequences a column of portlets for the user.
`void` | `setUserName(java.lang.String userName)` Sets the user name attribute for this bean.
`boolean` | `updatePortletUser(java.lang.String thePortalName, java.lang.String theGroupName, java.lang.String theUserName, Portlet thePortlet)` Adds/removes/updates portlets for a user based in information in the request params.
`boolean` | `updateUserWithPortlets(javax.servlet.http.HttpServletRequest request, Portal portal, java.lang.String[] existingPortlets, java.lang.String[] schemaPortlets)` Adds/removes portlets to a portal user based in information in the request params.

Methods inherited from class com.beasys.portal.admin.jspbeans.GroupPersonalizationJspBean
`getAlternateFooterURL, getAlternateHeaderURL, getBannerURL, getGroupName, getMaximizedURL, isAvailable, sequencePortletsForGroup, setAlternateFooterURL, setAlternateHeaderURL, setAvailable, setBannerURL, setGroupName, setMaximizedURL, updateGroupWithPortlet, updateGroupWithPortlets, updatePortletGroup`

Methods inherited from class com.beasys.portal.admin.jspbeans.PortalPersonalizationJspBean
`calcNumCols, calcNumRows, makeDisplayNamesTable, sequencePortletsForPortal, updatePortalPortlet, updatePortalWithPortlet, updatePortalWithPortlets, validate`

Methods inherited from class com.beasys.portal.admin.jspbeans.PortletJspBean
`getCategoryName, getColumn, getEditURL, getHelpURL, getIconURL, getRow, hasHelp, isEditable, isFloatable, isLoginRequired, isMandatory, isMaximizeable, isMinimizeable, isMinimized, isMoveable, isVisible, setCategoryName, setColumn, setEditable, setEditURL, setFloatable, setHelp, setHelpURL, setIconURL, setLoginRequired, setMandatory, setMaximizeable, setMinimizeable, setMinimized, setMoveable, setRow, setVisible`

Methods inherited from class com.beasys.portal.admin.jspbeans.PortalJspBean
`getContentColumnCount, getContentColumnCountStr, getContentURL, getFooterURL, getHeaderURL, getName, getSuspendedURL, isSuspended, setContentColumnCount, setContentColumnCountStr, setContentURL, setFooterURL, setHeaderURL, setName, setSuspended, setSuspendedURL`

Methods inherited from class com.beasys.portal.admin.jspbeans.JspBeanBase
`findStringInArray, hasSpecialHTMLChars, isStringLetterOrDigit, validateDoubleValue, validateDoubleValue, validateGroupName, validateIntValue, validateIntValue, validateLength, validateUserName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userName

    protected java.lang.String userName

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

Constructor Detail

### UserPersonalizationJspBean

    public UserPersonalizationJspBean()

Method Detail

### getUserName

    public java.lang.String getUserName()

  Gets the user name attribute for this bean.
  Returns:
    The user name.

### setUserName

    public void setUserName(java.lang.String userName)

  Sets the user name attribute for this bean.
  Parameters:
    `userName` - The user name.

### updatePortletUser

    public boolean updatePortletUser(java.lang.String thePortalName,
                                     java.lang.String theGroupName,
                                     java.lang.String theUserName,
                                     Portlet thePortlet)

  Adds/removes/updates portlets for a user based in information in the request params.
  Parameters:
    `thePortalName` - The name of the portal that the portlet is associated with.
    `theGroupName` - The name of the portal group to associate this portal.
    `theUserName` - The name of the user to associate this portal.
  Returns:
    true if successful; false if not.

### updateUserWithPortlets

    public boolean updateUserWithPortlets(javax.servlet.http.HttpServletRequest request,
                                          Portal portal,
                                          java.lang.String[] existingPortlets,
                                          java.lang.String[] schemaPortlets)

  Adds/removes portlets to a portal user based in information in the request params.
  Parameters:
    `request` - The HTTP request received by the JSP page associated with this bean.
    `portal` - The Portal object associated with the request.
    `existingPortlets` - A String array of portlet names that represent the existing visible portlets for the portal user.
    `schemaPortlets` - A String array of portlet names that represent the available portlets for the portal user.
  Returns:
    true if sucessful, false if not.

### sequencePortletsForUser

    protected void sequencePortletsForUser(java.lang.String aPortalName,
                                           java.lang.String aGroupName,
                                           java.lang.String aUserName,
                                           com.sun.java.util.collections.Vector aPortletVec)

  Re-sequences a column of portlets for the user. It removes column 'holes' and duplicate row positions.
  Parameters:
    `aPortalName` - The portal name
    `aGroupName` - The portal group name
    `aUserName` - The portal user name
    `aPortalVec` - A vector of portlet references for all portlets in the column.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved